ChangeSet 1.1294, 2003/06/04 17:41:45-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/ppc64/kernel/pci_dma.c


 arch/ppc64/kernel/pci_dma.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/ppc64/kernel/pci_dma.c b/arch/ppc64/kernel/pci_dma.c
--- a/arch/ppc64/kernel/pci_dma.c	Wed Jun  4 18:07:00 2003
+++ b/arch/ppc64/kernel/pci_dma.c	Wed Jun  4 18:07:00 2003
@@ -724,7 +724,7 @@
 }
 
 void create_tce_tables(void) {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 	struct device_node *dn, *mydn;
 
 	if (systemcfg->platform == PLATFORM_PSERIES_LPAR) {
@@ -737,7 +737,7 @@
 	 * pci device_node.  This means get_tce_table() won't need to search
 	 * up the device tree to find it.
 	 */
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		mydn = dn = PCI_GET_DN(dev);
 		while (dn && dn->tce_table == NULL)
 			dn = dn->parent;
